package net.pricefx.common.apibuilder.compensation;

import net.pricefx.common.apibuilder.clicoll.LineItemHelper;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class CompensationHelper extends LineItemHelper {

    public CompensationHelper(Map<String, Object> calculableLineItemCollection) {
        super(calculableLineItemCollection);
    }

    @SuppressWarnings("unchecked")
    public List<LineItem> findAllWithCompensationConditionType(String conditionType) {
        ArrayList<LineItem> is = new ArrayList<>();
        for (Map.Entry<String, Object> e : idToLineItem.entrySet()) {
            Map<String, Object> lineItemMap = (Map<String, Object>) e.getValue();
            if (conditionType.equals(lineItemMap.get("compensationConditionType"))) {
                is.add(lineItemFromMap(lineItemMap));
            }
        }
        return is;
    }
}
