package net.pricefx.common.apibuilder.chart;

import net.pricefx.common.apibuilder.ObjectIdentity;

public class LimitToMeasure<S extends ObjectIdentity> extends AggrFieldAxis<S> {

	public LimitToMeasure(final S backLink, final String instanceId, final String classId) {
		super(backLink, instanceId, classId);
	}

	public LimitToMeasure<S> setMeasure(final String measure) {
		addInvocation("setMeasure",measure);
		return this;
	}

}