package net.pricefx.service;

import net.pricefx.common.api.PriceFxInterface;
import net.pricefx.domain.Simulation;

public class SimulationItemSummaryQuery extends ItemSummaryQuery<Simulation>{

    public static final String ATTR_EXTENSION_FULL_PREFIX = PriceFxInterface.FIELD_ATTRIBUTE_EXTENSION_PREFIX + PriceFxInterface.ATTRIBUTE_EXTENSION_SEPARATOR;

	public SimulationItemSummaryQuery() {
		super("simulationId");
	}
	
	@Override
	public void addProjection(String field, String aggregation,
			String weight) {
		super.addProjection(field, aggregation, weight);
	}
}
